package com.mortals.xhx.module.skin.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.skin.model.vo.SkinBaseVo;
/**
* 系统基础皮肤实体对象
*
* @author zxfei
* @date 2022-05-16
*/

public class SkinBaseEntity extends SkinBaseVo {
    private static final long serialVersionUID = 1L;

    /**
    * 所属种类,来源种类
    */
    private Long categoryId;
    /**
    * 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)
    */
    private String deviceType;
    /**
    * 皮肤名称
    */
    private String shortName;
    /**
    * 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    */
    private String imageResolution;
    /**
    * 背景大图
    */
    private String backgroundImagePath;
    /**
    * 现场取号图片
    */
    private String sceneNumImagePath;
    /**
    * 预约取号图片
    */
    private String bookingNumImagePath;
    /**
    * vip取号图片
    */
    private String vipNumImagePath;
    /**
    * 重打小票图片
    */
    private String smallTicketNumImagePath;
    /**
    * 现场签到图片
    */
    private String sceneSignImagePath;
    /**
    * 政务网取号图片
    */
    private String govNumImagePath;
    /**
    * 标题颜色
    */
    private String titleColorStyle;
    /**
    * 时间颜色
    */
    private String timeColorStyle;
    /**
    * 数据标题颜色
    */
    private String dataTitleColorStyle;
    /**
    * 数据颜色
    */
    private String dataColorStyle;
    /**
    * 备案颜色
    */
    private String recordColorStyle;
    /**
    * 预览图片
    */
    private String previewImagePath;
    /**
    * 排序编号
    */
    private Integer sortNum;



    public SkinBaseEntity(){}
    /**
    * 获取 所属种类,来源种类
    * @return Long
    */
    public Long getCategoryId(){
        return categoryId;
    }
    /**
    * 设置 所属种类,来源种类
    * @param categoryId
    */
    public void setCategoryId(Long categoryId){
        this.categoryId = categoryId;
    }
    /**
    * 获取 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)
    * @return String
    */
    public String getDeviceType(){
        return deviceType;
    }
    /**
    * 设置 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)
    * @param deviceType
    */
    public void setDeviceType(String deviceType){
        this.deviceType = deviceType;
    }
    /**
    * 获取 皮肤名称
    * @return String
    */
    public String getShortName(){
        return shortName;
    }
    /**
    * 设置 皮肤名称
    * @param shortName
    */
    public void setShortName(String shortName){
        this.shortName = shortName;
    }
    /**
    * 获取 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @return String
    */
    public String getImageResolution(){
        return imageResolution;
    }
    /**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolution
    */
    public void setImageResolution(String imageResolution){
        this.imageResolution = imageResolution;
    }
    /**
    * 获取 背景大图
    * @return String
    */
    public String getBackgroundImagePath(){
        return backgroundImagePath;
    }
    /**
    * 设置 背景大图
    * @param backgroundImagePath
    */
    public void setBackgroundImagePath(String backgroundImagePath){
        this.backgroundImagePath = backgroundImagePath;
    }
    /**
    * 获取 现场取号图片
    * @return String
    */
    public String getSceneNumImagePath(){
        return sceneNumImagePath;
    }
    /**
    * 设置 现场取号图片
    * @param sceneNumImagePath
    */
    public void setSceneNumImagePath(String sceneNumImagePath){
        this.sceneNumImagePath = sceneNumImagePath;
    }
    /**
    * 获取 预约取号图片
    * @return String
    */
    public String getBookingNumImagePath(){
        return bookingNumImagePath;
    }
    /**
    * 设置 预约取号图片
    * @param bookingNumImagePath
    */
    public void setBookingNumImagePath(String bookingNumImagePath){
        this.bookingNumImagePath = bookingNumImagePath;
    }
    /**
    * 获取 vip取号图片
    * @return String
    */
    public String getVipNumImagePath(){
        return vipNumImagePath;
    }
    /**
    * 设置 vip取号图片
    * @param vipNumImagePath
    */
    public void setVipNumImagePath(String vipNumImagePath){
        this.vipNumImagePath = vipNumImagePath;
    }
    /**
    * 获取 重打小票图片
    * @return String
    */
    public String getSmallTicketNumImagePath(){
        return smallTicketNumImagePath;
    }
    /**
    * 设置 重打小票图片
    * @param smallTicketNumImagePath
    */
    public void setSmallTicketNumImagePath(String smallTicketNumImagePath){
        this.smallTicketNumImagePath = smallTicketNumImagePath;
    }
    /**
    * 获取 现场签到图片
    * @return String
    */
    public String getSceneSignImagePath(){
        return sceneSignImagePath;
    }
    /**
    * 设置 现场签到图片
    * @param sceneSignImagePath
    */
    public void setSceneSignImagePath(String sceneSignImagePath){
        this.sceneSignImagePath = sceneSignImagePath;
    }
    /**
    * 获取 政务网取号图片
    * @return String
    */
    public String getGovNumImagePath(){
        return govNumImagePath;
    }
    /**
    * 设置 政务网取号图片
    * @param govNumImagePath
    */
    public void setGovNumImagePath(String govNumImagePath){
        this.govNumImagePath = govNumImagePath;
    }
    /**
    * 获取 标题颜色
    * @return String
    */
    public String getTitleColorStyle(){
        return titleColorStyle;
    }
    /**
    * 设置 标题颜色
    * @param titleColorStyle
    */
    public void setTitleColorStyle(String titleColorStyle){
        this.titleColorStyle = titleColorStyle;
    }
    /**
    * 获取 时间颜色
    * @return String
    */
    public String getTimeColorStyle(){
        return timeColorStyle;
    }
    /**
    * 设置 时间颜色
    * @param timeColorStyle
    */
    public void setTimeColorStyle(String timeColorStyle){
        this.timeColorStyle = timeColorStyle;
    }
    /**
    * 获取 数据标题颜色
    * @return String
    */
    public String getDataTitleColorStyle(){
        return dataTitleColorStyle;
    }
    /**
    * 设置 数据标题颜色
    * @param dataTitleColorStyle
    */
    public void setDataTitleColorStyle(String dataTitleColorStyle){
        this.dataTitleColorStyle = dataTitleColorStyle;
    }
    /**
    * 获取 数据颜色
    * @return String
    */
    public String getDataColorStyle(){
        return dataColorStyle;
    }
    /**
    * 设置 数据颜色
    * @param dataColorStyle
    */
    public void setDataColorStyle(String dataColorStyle){
        this.dataColorStyle = dataColorStyle;
    }
    /**
    * 获取 备案颜色
    * @return String
    */
    public String getRecordColorStyle(){
        return recordColorStyle;
    }
    /**
    * 设置 备案颜色
    * @param recordColorStyle
    */
    public void setRecordColorStyle(String recordColorStyle){
        this.recordColorStyle = recordColorStyle;
    }
    /**
    * 获取 预览图片
    * @return String
    */
    public String getPreviewImagePath(){
        return previewImagePath;
    }
    /**
    * 设置 预览图片
    * @param previewImagePath
    */
    public void setPreviewImagePath(String previewImagePath){
        this.previewImagePath = previewImagePath;
    }
    /**
    * 获取 排序编号
    * @return Integer
    */
    public Integer getSortNum(){
        return sortNum;
    }
    /**
    * 设置 排序编号
    * @param sortNum
    */
    public void setSortNum(Integer sortNum){
        this.sortNum = sortNum;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SkinBaseEntity) {
            SkinBaseEntity tmp = (SkinBaseEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",categoryId:").append(getCategoryId());
        sb.append(",deviceType:").append(getDeviceType());
        sb.append(",shortName:").append(getShortName());
        sb.append(",imageResolution:").append(getImageResolution());
        sb.append(",backgroundImagePath:").append(getBackgroundImagePath());
        sb.append(",sceneNumImagePath:").append(getSceneNumImagePath());
        sb.append(",bookingNumImagePath:").append(getBookingNumImagePath());
        sb.append(",vipNumImagePath:").append(getVipNumImagePath());
        sb.append(",smallTicketNumImagePath:").append(getSmallTicketNumImagePath());
        sb.append(",sceneSignImagePath:").append(getSceneSignImagePath());
        sb.append(",govNumImagePath:").append(getGovNumImagePath());
        sb.append(",titleColorStyle:").append(getTitleColorStyle());
        sb.append(",timeColorStyle:").append(getTimeColorStyle());
        sb.append(",dataTitleColorStyle:").append(getDataTitleColorStyle());
        sb.append(",dataColorStyle:").append(getDataColorStyle());
        sb.append(",recordColorStyle:").append(getRecordColorStyle());
        sb.append(",previewImagePath:").append(getPreviewImagePath());
        sb.append(",sortNum:").append(getSortNum());
        return sb.toString();
    }

    public void initAttrValue(){

            this.categoryId = null;

            this.deviceType = "phj";

            this.shortName = "";

            this.imageResolution = "0";

            this.backgroundImagePath = "";

            this.sceneNumImagePath = "";

            this.bookingNumImagePath = "";

            this.vipNumImagePath = "";

            this.smallTicketNumImagePath = "";

            this.sceneSignImagePath = "";

            this.govNumImagePath = "";

            this.titleColorStyle = "";

            this.timeColorStyle = "";

            this.dataTitleColorStyle = "";

            this.dataColorStyle = "";

            this.recordColorStyle = "";

            this.previewImagePath = "";

            this.sortNum = null;
    }
}